##### posix::basic_descriptor::operator= (1 of 2 overloads)

Move-assign a descriptor from another.

    basic_descriptor & operator=(
        basic_descriptor && other);

This assignment operator moves a descriptor from one object to another.

###### Parameters

other

  The other descriptor object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_descriptor(const executor_type&)` constructor.